commit: 2aa161fb35fc542ee070f1a2b4d7cbf5e7f2762c
parent ea1f9ff778845d96752e094251c383a56e68ca89
Author: Haelwenn (lanodan) Monnier <contact@hacktivis.me>
Date: Fri, 9 Jul 2021 03:17:37 +0200
test_all.sh: New wrapper
Diffstat:
1 file changed, 21 insertions(+), 0 deletions(-)
diff --git a/test_all.sh b/test_all.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+# This is used to run tests on all known and available targets
+set -ex
+
+export CFLAGS="-O2 -g2 -Wall -Wextra -Werror=all"
+if command -v nproc >/dev/null 2>&1; then
+ makeflags="-j$(nproc)"
+fi
+
+for make in gmake bmake
+do
+ command -v $make || break
+
+ for cc in tcc gcc clang cproc
+ do
+ command -v $cc || break
+
+ $make clean
+ CC=$cc time $make $makeflags test
+ done
+done